#!/bin/sh

CMDLINE="dummy $(cat /proc/cmdline)"

stringinstring(){
    case "$2" in *$1*) return 0;; esac
    return 1
}

getbootparam(){
    stringinstring " $1=" "$CMDLINE" || return 1
    result="${CMDLINE##*$1=}"
    result="${result%%[ 	]*}"
    echo "$result"
    return 0
}

USERNAME="$(getbootparam username)"
if [ -z $USERNAME ]; then
	USERNAME="morph"
fi

config=/home/$USERNAME/.kde/share/config/kdeglobals
i18n=/etc/sysconfig/i18n

country=`grep COUNTRY $i18n | cut -d "=" -f 2 | tr -d \"`
language=`grep LANGUAGE $i18n | cut -d "=" -f 2 | tr -d \"`

cat $config | sed "s/Country=.*/Country=$country/" > /tmp/kdeglobals.tmp
cat /tmp/kdeglobals.tmp | sed "s/Language=.*/Language=$language/" > $config
rm -f /tmp/kdeglobals.tmp

